const useStopWindowContext = (uid: number) => {
	
	// 监听键盘事件
	window.addEventListener('keydown', function(event) {
		if (event.ctrlKey && event.shiftKey && (event.key === 'I' || event.key === 'J')) {
			event.preventDefault(); // 阻止默认行为
		}
	});

	window.addEventListener("keydown", ev => ev.key === "F12" && ev.preventDefault())
	console.log(uid)

	uid && document.body.addEventListener(
		"touchstart",
		(e) => {
			e.preventDefault();
		},
		{ passive: false }
	);
	window.addEventListener('beforeprint', function() {
		// 在打印或生成 PDF 前的操作
		const noPrintElements = document.querySelectorAll('.no-print');
		for (var i = 0; i < noPrintElements.length; i++) {
			(noPrintElements[i] as HTMLElement).style.display = 'none';
		}
	});
	
	window.addEventListener('afterprint', function() {
		// 在打印或生成 PDF 后的操作
		const noPrintElements = document.querySelectorAll('.no-print');
		for (var i = 0; i < noPrintElements.length; i++) {
			(noPrintElements[i] as HTMLElement).style.display = '';
		}
	});

	document.addEventListener('selectstart', (event) => {
		event.preventDefault();
	});
	// 监听鼠标右键事件
	window.addEventListener('contextmenu', function(event) {
		event.preventDefault(); // 阻止默认行为
	});
	
}

export default useStopWindowContext