export type ILogin = {
	mobileOrEmail: string;
	password: string;
	isUnion: 1,
	unionId?: string
}

export type IUserInfo = {
	userId: string;
}

export type ILoginRequestData = {
	token: string
	mobile: string
	name: string
	userId: number | string
	serviceProviderId: number | string
}

export interface LoginRequest {
	'/user/login/seller': ILogin
	'/user/login/userInfo': Pick<IUserInfo, 'userId'>
}
