import { ComponentOptions } from 'vue';

export type IPermiObj = {
	text: string
	btnText: string
	redirect?: string
}

export type IPermi = Array<Boolean | IPermiObj>

export type UsePermission = {
	isPermi: boolean
	PermiMode?: ComponentOptions | string
	permission: string | number
}

export enum VideoPermissions {
	VIDEO_SECOND = 0
}

export enum ImagePermissions {
	IMAGE_NUM = 0
}