import type { ILogin, ILoginRequestData, IUserInfo, LoginRequest } from '@/types/api/user.type'
import { requestPOST, requestGET } from '@/types/api/index';

export const login = (data: ILogin) => requestPOST<LoginRequest, ILoginRequestData>('/user/login/seller', data)

export const getUserInfo = (params: Pick<IUserInfo, 'userId'>) => requestGET<LoginRequest, ILoginRequestData>('/user/login/userInfo', params)