import { createApp } from 'vue'
import App from './App.vue'
import router from './router/index'
import pinia from '@/store/index'
import autoComponent from '@/components/index'
import 'reset-css';
import 'vant/es/toast/style'
import 'vant/lib/index.css';

createApp(App).use(autoComponent).use(pinia).use(router).mount('#app')
