import { defineStore } from "pinia";
import { DTabStore } from "./tab.type";

export const useTabStore = defineStore('myTabStore', {
	state: (): DTabStore => ({
		type: "0",
		stageStatus: '',
		productId: 0,
		labelIds: '',
		searchValue: '',
		allStatus: '1'
	}),
	actions: {
		updatedTabStore(step: Partial<DTabStore>) {
			this.stageStatus = step?.stageStatus
			this.type = step?.type!
			this.productId = step?.productId
			this.labelIds = step?.labelIds
			this.searchValue = step?.searchValue!
			this.allStatus = step?.allStatus!
		}
	},
	persist: true
})