import { IArchiveRequest } from "@/types/api/context.type"
import { DFindParams, DScrollTab, IAllStatus } from "@/types/views/database.type"

export type DTabStore = {
	type: DFindParams<DScrollTab, 'type'>
	labelIds: DFindParams<IArchiveRequest, 'labelIds'>
	stageStatus: DFindParams<IArchiveRequest, 'stageStatus'>
	productId: DFindParams<IArchiveRequest, 'productId'>
	searchValue: string
	allStatus: DFindParams<IAllStatus, 'allStatus'>
}