import CryptoJS from 'crypto-js'

export const getStorage = () => JSON.parse(window.localStorage.getItem('userInfo')!).token

export const setStorage = (token: string) => window.localStorage.setItem('X-token', token)

export const removeStorage = () => window.localStorage.removeItem('X-token')

export const clearStorage = () => window.localStorage.clear()

const key = CryptoJS.enc.Utf8.parse("caimei--20240103");
const iv = CryptoJS.enc.Utf8.parse('caimei--20240103');
/* 加密方法 */
export function myEncrypt(word: string) {
	const srcs = CryptoJS.enc.Utf8.parse(word);
	const encrypted = CryptoJS.AES.encrypt(srcs, key, {
		iv,
		mode: CryptoJS.mode.CBC,
		padding: CryptoJS.pad.NoPadding
	});
	console.log(CryptoJS.enc.Base64.stringify(encrypted.ciphertext));
}
/* 解密方法 */
export function myDecrypt(word: string[]) {
	if (word) {
		return word.map(e => {
			if (e) {
				const encryptedHexStr = CryptoJS.enc.Base64.parse(e);
				const srcs = CryptoJS.enc.Base64.stringify(encryptedHexStr);
				const decrypt = CryptoJS.AES.decrypt(srcs, key, {
					iv,
					mode: CryptoJS.mode.CBC,
					padding: CryptoJS.pad.NoPadding
				});
				const decryptedStr = decrypt.toString(CryptoJS.enc.Utf8);
				return decryptedStr.toString()
			} else return ''
		})
	} else return []
}